Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javadoc
Interface ProgramElementDoc

All Known Subinterfaces:
  ClassDoc, ConstructorDoc, ExecutableMemberDoc, FieldDoc, MemberDoc, MethodDoc

public abstract interface ProgramElementDoc
extends Doc

Represents a java program element: class, interface, field, constructor, or method. This is an abstract class dealing with information common to these elements.

See Also:
  `MemberDoc`, `ClassDoc`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`ClassDoc` | `containingClass()` Get the containing class of this program element.
`PackageDoc` | `containingPackage()` Get the package that this program element is contained in.
`boolean` | `isFinal()` Return true if this program element is final
`boolean` | `isPackagePrivate()` Return true if this program element is package private
`boolean` | `isPrivate()` Return true if this program element is private
`boolean` | `isProtected()` Return true if this program element is protected
`boolean` | `isPublic()` Return true if this program element is public
`boolean` | `isStatic()` Return true if this program element is static
`java.lang.String` | `modifiers()` Get modifiers string.
`int` | `modifierSpecifier()` Get the modifier specifier integer.
`java.lang.String` | `qualifiedName()` Get the fully qualified name.

Methods inherited from interface com.sun.javadoc.Doc
`commentText, compareTo, firstSentenceTags, getRawCommentText, inlineTags, isClass, isConstructor, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, seeTags, setRawCommentText, tags, tags`

Method Detail

### containingClass

    public ClassDoc containingClass()

  Get the containing class of this program element.
  Returns:
    a ClassDoc for this element's containing class. If this is a class with no outer class, return null.

### containingPackage

    public PackageDoc containingPackage()

  Get the package that this program element is contained in.
  Returns:
    a PackageDoc for this element containing package. If in the unnamed package, this PackageDoc will have the name "".

### qualifiedName

    public java.lang.String qualifiedName()

  Get the fully qualified name.

       Example:
        for the class java.util.Hashtable, return:
             java.util.Hashtable
        for the method bar() in class Foo in the unnamed package, return:
             Foo.bar()

  Returns:
    the qualified name of the program element as a String.

### modifierSpecifier

    public int modifierSpecifier()

  Get the modifier specifier integer.
  See Also:
    `Modifier`

### modifiers

    public java.lang.String modifiers()

  Get modifiers string.

       Example, for:
         public abstract int foo() { ... }
       modifiers() would return:
         'public abstract'

### isPublic

    public boolean isPublic()

  Return true if this program element is public

### isProtected

    public boolean isProtected()

  Return true if this program element is protected

### isPrivate

    public boolean isPrivate()

  Return true if this program element is private

### isPackagePrivate

    public boolean isPackagePrivate()

  Return true if this program element is package private

### isStatic

    public boolean isStatic()

  Return true if this program element is static

### isFinal

    public boolean isFinal()

  Return true if this program element is final

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD